Zydis v4.1.1

Loading...
Searching...
No Matches
ShortString.h File Reference

Defines the immutable and storage-efficient ZydisShortString struct, which is used to store strings in the generated tables. More...

`#include <Zycore/Defines.h>`
`#include <Zycore/Types.h>`

Go to the source code of this file.

## Data Structures
struct | ZydisShortString_
| Defines the ZydisShortString struct. More...

## Macros
#define | ZYDIS_MAKE_SHORTSTRING(string)
| Declares a ZydisShortString from a static C-style string.

## Typedefs
typedef struct ZydisShortString_ | ZydisShortString
| Defines the ZydisShortString struct.

## Detailed Description

Defines the immutable and storage-efficient ZydisShortString struct, which is used to store strings in the generated tables.

## Macro Definition Documentation

## ◆ ZYDIS_MAKE_SHORTSTRING

#define ZYDIS_MAKE_SHORTSTRING | ( |  | string | ) |

Value:
{ string, sizeof(string) - 1 }

Declares a ZydisShortString from a static C-style string.

Parameters

  string | The C-string constant.

## Typedef Documentation

## ◆ ZydisShortString

typedef struct ZydisShortString_ ZydisShortString

Defines the ZydisShortString struct.

This compact struct is mainly used for internal string-tables to save up some bytes.

All fields in this struct should be considered as "private". Any changes may lead to unexpected behavior.